create or replace procedure UDO_P_EQUIPDSCMFL_CREATE
/*      */
(
  NEQUIPDSCM                in number,    -- .     
  NCNT                      in number     --   
)
is
  NTMP                      PKG_STD.TREF; -- .    
begin
  /*    */
  for C in (select T.RN from UDO_T_EQUIPDSCMFL T where T.PRN = NEQUIPDSCM)
  loop
    UDO_PKG_EQUIPDS_BASE.CMFL_DEL(NRN => C.RN);
  end loop;
  /*    */
  for I in 1 .. NCNT
  loop
    UDO_PKG_EQUIPDS_BASE.CMFL_INS(NPRN       => NEQUIPDSCM,
                                  SFILE_NAME => 'data_' || NEQUIPDSCM || '_' || I || '.xml',
                                  SDESCR     => '   ' || I,
                                  NRN        => NTMP);
  end loop;
end;
/
